{% extends 'admin/base.html.twig' %}

{% block style %}
    {{ encore_entry_link_tags('bo_datatables_css') }}
    {{ encore_entry_link_tags('bo_highlight_css') }}
{% endblock %}

{% block content %}
    <div class="row pt-2">
        {% for message in app.flashes('success') %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>{{ message }}</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" style="padding-top: 25px;"></button>
            </div>
        {% endfor %}
    </div>
    <div class="section-description section-description-inline">
        <h1>Articles liste</h1>
    </div>
    <div class="card">
        <div class="card-body">
            <table id="datatable1" class="display" style="width: 100%">
                <thead>
                <tr>
                    <th>Title</th>
                    <th>Creation date</th>
                    <th style="width: 38%">Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for article in articles %}
                    <tr>
                        <td>{{ article.title }}</td>
                        <td>{{ article.createdAt|date("d/m/Y H:i:s") }}</td>
                        <td>
                            <div class="widget-connection-request-actions d-flex">
                                {#                                <a#}
                                {#                                    href="#"#}
                                {#                                    class="#}
                                {#                                    btn btn-primary btn-style-light#}
                                {#                                    flex-grow-1#}
                                {#                                    m-r-xxs#}
                                {#                                  "#}
                                {#                                ><i class="material-icons">edit_note</i#}
                                {#                                    >Modifier</a>#}
                                <a
                                    href="#"
                                    data-delete-path="{{ path('admin_delete_article', {id: article.id}) }}"
                                    class="btn btn-danger btn-style-light flex-grow-1 delete-btn m-1"
                                ><i class="material-icons">delete</i>Supprimer</a>

                                <a
                                    href="#"
                                    data-modification-path="{{ path('admin_edit_article', {id: article.id, lang: 'placeHolder'}) }}"
                                    class="btn btn-warning btn-style-light flex-grow-1 edit-btn m-1"
                                ><i class="material-icons">edit</i>Modifier</a>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
                <tfoot>
                <tr>
                    <th>Title</th>
                    <th>Creation date</th>
                    <th>Actions</th>
                </tr>
                </tfoot>
            </table>
        </div>
    </div>
{% endblock %}

{% block script %}
    {{ encore_entry_script_tags('bo_popper_js') }}
    {{ encore_entry_script_tags('bo_highlight_js') }}
    {{ encore_entry_script_tags('bo_datatables_js') }}
    {{ encore_entry_script_tags('bo_datatables_page_js') }}
    {{ encore_entry_script_tags('bo_delete_from_list_js') }}
{% endblock %}
